Index: /tapas/common/implementation/com/ether/JSONHelperImpl.java
===================================================================
--- /tapas/common/implementation/com/ether/JSONHelperImpl.java	(revision 399)
+++ /tapas/common/implementation/com/ether/JSONHelperImpl.java	(revision 400)
@@ -13,9 +13,6 @@
 import org.springframework.beans.factory.InitializingBean;
 
-import java.util.AbstractCollection;
-import java.util.ArrayList;
 import java.util.Collection;
 import java.util.Collections;
-import java.util.List;
 import java.util.Map;
 
@@ -78,56 +75,6 @@
     public <T> T fromJSON( @NotNull final JSON json, @NotNull final Class<T> beanClass )
     {
-        if( json.isArray() )
-        {
-            final JSONArray jsonArray = JSONArray.fromObject( json, _jsonConfig );
-            final Class<? super T> superclass = beanClass.getSuperclass();
-            if( superclass.isAssignableFrom( AbstractCollection.class ) )
-            {
-                final Tapas tapas = new Tapas();
-                final List<Request> requests = new ArrayList<Request>();
-                for( final Object jsonElement : jsonArray )
-                {
-                    final Request request = fromJSON( (JSON) jsonElement, Request.class );
-                    requests.add( request );
-                }
-                tapas.setRequests( requests );
-                return (T) tapas;
-            }
-//
-//            if( beanClass.isArray() )
-//            {
-//                final Class<?> componentType = beanClass.getComponentType();
-//                //json.sf.net does not support Long[] or long[]
-//                if( Long.class.equals( componentType ) || Long.TYPE.equals( componentType ) )
-//                {
-//                    final Integer[] integers = (Integer[]) JSONArray.toArray( jsonArray, Integer.class );
-//                    if( Long.class.equals( componentType ) )
-//                    {
-//                        final Long[] resultArray = new Long[integers.length];
-//                        for( int i = 0; i < integers.length; ++i )
-//                            resultArray[i] = integers[i].longValue();
-//                        return (T) resultArray;
-//                    }
-//                    if( Long.TYPE.equals( componentType ) )
-//                    {
-//                        final long[] resultArray = new long[integers.length];
-//                        for( int i = 0; i < integers.length; ++i )
-//                            resultArray[i] = integers[i].longValue();
-//                        return (T) resultArray;
-//                    }
-//                }
-//                return (T) JSONArray.toArray( jsonArray, componentType );
-//            }
-//            if( beanClass.isAssignableFrom( Collection.class ) )
-//            {
-//                final TypeVariable<Class<T>>[] typeParameters = beanClass.getTypeParameters();
-//                if( null == typeParameters || typeParameters.length != 1 || null == typeParameters[0] )
-//                    return (T) JSONArray.toCollection( jsonArray );
-//                return (T) JSONArray.toCollection( jsonArray, typeParameters[0].getGenericDeclaration() );
-//            }
-        }
         final JSONObject jsonObject = JSONObject.fromObject( json, _jsonConfig );
-        return (T) JSONObject.toBean( jsonObject, beanClass );
-//        return (T) JSONObject.toBean( jsonObject, beanClass, _mapClassesForDeserialization.get( beanClass ) );
+        return (T) JSONObject.toBean( jsonObject, beanClass, _mapClassesForDeserialization.get( beanClass ) );
     }
 
Index: /tapas/common/interface/com/ether/Pair.java
===================================================================
--- /tapas/common/interface/com/ether/Pair.java	(revision 400)
+++ /tapas/common/interface/com/ether/Pair.java	(revision 400)
@@ -0,0 +1,65 @@
+package com.ether;
+
+public class Pair<V1, V2>
+{
+    public Pair()
+    {
+        this( null, null );
+    }
+
+    public Pair( final V1 firstValue,
+                 final V2 secondValue )
+    {
+        _firstValue = firstValue;
+        _secondValue = secondValue;
+    }
+
+    public final V1 getFirstValue()
+    {
+        return _firstValue;
+    }
+
+    public final void setFirstValue( final V1 firstValue )
+    {
+        _firstValue = firstValue;
+    }
+
+    public V2 getSecondValue()
+    {
+        return _secondValue;
+    }
+
+    public void setSecondValue( final V2 secondValue )
+    {
+        _secondValue = secondValue;
+    }
+
+    public String toString()
+    {
+        return String.format( "<%s,%s>", _firstValue, _secondValue );
+    }
+
+    public boolean equals( final Object o )
+    {
+        if( this == o ) return true;
+        if( !( o instanceof Pair ) ) return false;
+
+        final Pair pair = (Pair) o;
+
+        if( _firstValue != null ? !_firstValue.equals( pair._firstValue ) : pair._firstValue != null ) return false;
+        if( _secondValue != null ? !_secondValue.equals( pair._secondValue ) : pair._secondValue != null ) return false;
+
+        return true;
+    }
+
+    public int hashCode()
+    {
+        int result;
+        result = ( _firstValue != null ? _firstValue.hashCode() : 0 );
+        result = 31 * result + ( _secondValue != null ? _secondValue.hashCode() : 0 );
+        return result;
+    }
+
+    private V1 _firstValue;
+    private V2 _secondValue;
+}
Index: /tapas/service/interface/com/ether/tapas/Atmosphere.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Atmosphere.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Atmosphere.java	(revision 400)
@@ -0,0 +1,53 @@
+package com.ether.tapas;
+
+import com.ether.Pair;
+import org.jetbrains.annotations.NotNull;
+
+import java.util.List;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Atmosphere
+{
+    @NotNull
+    public Pair<String, Long> getReference()
+    {
+        return _reference;
+    }
+
+    public void setReference( @NotNull final Pair<String, Long> reference )
+    {
+        _reference = reference;
+    }
+
+    @NotNull
+    public List<String> getArlettyFile()
+    {
+        return _arlettyFile;
+    }
+
+    public void setArlettyFile( @NotNull final List<String> arlettyFile )
+    {
+        _arlettyFile = arlettyFile;
+    }
+
+    @NotNull
+    public List<String> getEcmwfFile()
+    {
+        return _ecmwfFile;
+    }
+
+    public void setEcmwfFile( @NotNull final List<String> ecmwfFile )
+    {
+        _ecmwfFile = ecmwfFile;
+    }
+
+    @NotNull
+    private Pair<String, Long> _reference;
+    @NotNull
+    private List<String> _arlettyFile;
+    @NotNull
+    private List<String> _ecmwfFile;
+}
Index: /tapas/service/interface/com/ether/tapas/Coordinate.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Coordinate.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Coordinate.java	(revision 400)
@@ -0,0 +1,50 @@
+package com.ether.tapas;
+
+import org.jetbrains.annotations.NotNull;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Coordinate
+{
+    @NotNull
+    public String getMin()
+    {
+        return _min;
+    }
+
+    public void setMin( @NotNull final String min )
+    {
+        _min = min;
+    }
+
+    @NotNull
+    public String getMax()
+    {
+        return _max;
+    }
+
+    public void setMax( @NotNull final String max )
+    {
+        _max = max;
+    }
+
+    @NotNull
+    public Long getValue()
+    {
+        return _value;
+    }
+
+    public void setValue( @NotNull final Long value )
+    {
+        _value = value;
+    }
+
+    @NotNull
+    private String _min;
+    @NotNull
+    private String _max;
+    @NotNull
+    private Long _value;
+}
Index: /tapas/service/interface/com/ether/tapas/Instrument.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Instrument.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Instrument.java	(revision 400)
@@ -0,0 +1,90 @@
+package com.ether.tapas;
+
+import com.ether.Pair;
+import org.jetbrains.annotations.NotNull;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Instrument
+{
+    @NotNull
+    public Pair<String, String> getSpectralChoice()
+    {
+        return _spectralChoice;
+    }
+
+    public void setSpectralChoice( @NotNull final Pair<String, String> spectralChoice )
+    {
+        _spectralChoice = spectralChoice;
+    }
+
+    @NotNull
+    public String getSpectralRange()
+    {
+        return _spectralRange;
+    }
+
+    public void setSpectralRange( @NotNull final String spectralRange )
+    {
+        _spectralRange = spectralRange;
+    }
+
+    @NotNull
+    public Pair<String, Long> getIlsfChoice()
+    {
+        return _ilsfChoice;
+    }
+
+    public void setIlsfChoice( @NotNull final Pair<String, Long> ilsfChoice )
+    {
+        _ilsfChoice = ilsfChoice;
+    }
+
+    @NotNull
+    public String getIlsfPath()
+    {
+        return _ilsfPath;
+    }
+
+    public void setIlsfPath( @NotNull final String ilsfPath )
+    {
+        _ilsfPath = ilsfPath;
+    }
+
+    @NotNull
+    public Pair<String, Long> getResolvingPower()
+    {
+        return _resolvingPower;
+    }
+
+    public void setResolvingPower( @NotNull final Pair<String, Long> resolvingPower )
+    {
+        _resolvingPower = resolvingPower;
+    }
+
+    @NotNull
+    public Pair<String, Long> getSamplingRatio()
+    {
+        return _samplingRatio;
+    }
+
+    public void setSamplingRatio( @NotNull final Pair<String, Long> samplingRatio )
+    {
+        _samplingRatio = samplingRatio;
+    }
+
+    @NotNull
+    private Pair<String, String> _spectralChoice;
+    @NotNull
+    private String _spectralRange;
+    @NotNull
+    private Pair<String, Long> _ilsfChoice;
+    @NotNull
+    private String _ilsfPath;
+    @NotNull
+    private Pair<String, Long> _resolvingPower;
+    @NotNull
+    private Pair<String, Long> _samplingRatio;
+}
Index: /tapas/service/interface/com/ether/tapas/Los.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Los.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Los.java	(revision 400)
@@ -0,0 +1,50 @@
+package com.ether.tapas;
+
+import org.jetbrains.annotations.NotNull;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Los
+{
+    @NotNull
+    public String getRaJ2000()
+    {
+        return _raJ2000;
+    }
+
+    public void setRaJ2000( @NotNull final String raJ2000 )
+    {
+        _raJ2000 = raJ2000;
+    }
+
+    @NotNull
+    public String getDecJ2000()
+    {
+        return _decJ2000;
+    }
+
+    public void setDecJ2000( @NotNull final String decJ2000 )
+    {
+        _decJ2000 = decJ2000;
+    }
+
+    @NotNull
+    public Coordinate getZenithAngle()
+    {
+        return _zenithAngle;
+    }
+
+    public void setZenithAngle( @NotNull final Coordinate zenithAngle )
+    {
+        _zenithAngle = zenithAngle;
+    }
+
+    @NotNull
+    private String _raJ2000;
+    @NotNull
+    private String _decJ2000;
+    @NotNull
+    private Coordinate _zenithAngle;
+}
Index: /tapas/service/interface/com/ether/tapas/Observation.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Observation.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Observation.java	(revision 400)
@@ -0,0 +1,65 @@
+package com.ether.tapas;
+
+import org.jetbrains.annotations.NotNull;
+
+import java.util.Date;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Observation
+{
+    @NotNull
+    public Date getDate()
+    {
+        return _date;
+    }
+
+    public void setDate( @NotNull final Date date )
+    {
+        _date = date;
+    }
+
+    @NotNull
+    public Observatory getObservatory()
+    {
+        return _observatory;
+    }
+
+    public void setObservatory( @NotNull final Observatory observatory )
+    {
+        _observatory = observatory;
+    }
+
+    @NotNull
+    public Los getLos()
+    {
+        return _los;
+    }
+
+    public void setLos( @NotNull final Los los )
+    {
+        _los = los;
+    }
+
+    @NotNull
+    public Instrument getInstrument()
+    {
+        return _instrument;
+    }
+
+    public void setInstrument( @NotNull final Instrument instrument )
+    {
+        _instrument = instrument;
+    }
+
+    @NotNull
+    private Date _date;
+    @NotNull
+    private Observatory _observatory;
+    @NotNull
+    private Los _los;
+    @NotNull
+    private Instrument _instrument;
+}
Index: /tapas/service/interface/com/ether/tapas/Observatory.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Observatory.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Observatory.java	(revision 400)
@@ -0,0 +1,63 @@
+package com.ether.tapas;
+
+import org.jetbrains.annotations.NotNull;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Observatory
+{
+    @NotNull
+    public String getName()
+    {
+        return _name;
+    }
+
+    public void setName( @NotNull final String name )
+    {
+        _name = name;
+    }
+
+    @NotNull
+    public Coordinate getLongitude()
+    {
+        return _longitude;
+    }
+
+    public void setLongitude( @NotNull final Coordinate longitude )
+    {
+        _longitude = longitude;
+    }
+
+    @NotNull
+    public Coordinate getLatitude()
+    {
+        return _latitude;
+    }
+
+    public void setLatitude( @NotNull final Coordinate latitude )
+    {
+        _latitude = latitude;
+    }
+
+    @NotNull
+    public Coordinate getAltitude()
+    {
+        return _altitude;
+    }
+
+    public void setAltitude( @NotNull final Coordinate altitude )
+    {
+        _altitude = altitude;
+    }
+
+    @NotNull
+    private String _name;
+    @NotNull
+    private Coordinate _longitude;
+    @NotNull
+    private Coordinate _latitude;
+    @NotNull
+    private Coordinate _altitude;
+}
Index: /tapas/service/interface/com/ether/tapas/Preference.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Preference.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Preference.java	(revision 400)
@@ -0,0 +1,90 @@
+package com.ether.tapas;
+
+import com.ether.Pair;
+import org.jetbrains.annotations.NotNull;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Preference
+{
+    @NotNull
+    public Pair<String, String> getFormat()
+    {
+        return _format;
+    }
+
+    public void setFormat( @NotNull final Pair<String, String> format )
+    {
+        _format = format;
+    }
+
+    @NotNull
+    public Pair<String, String> getRayleighExtinction()
+    {
+        return _rayleighExtinction;
+    }
+
+    public void setRayleighExtinction( @NotNull final Pair<String, String> rayleighExtinction )
+    {
+        _rayleighExtinction = rayleighExtinction;
+    }
+
+    @NotNull
+    public Pair<String, String> getH2oExtinction()
+    {
+        return _h2oExtinction;
+    }
+
+    public void setH2oExtinction( @NotNull final Pair<String, String> h2oExtinction )
+    {
+        _h2oExtinction = h2oExtinction;
+    }
+
+    @NotNull
+    public Pair<String, String> getO3Extinction()
+    {
+        return _o3Extinction;
+    }
+
+    public void setO3Extinction( @NotNull final Pair<String, String> o3Extinction )
+    {
+        _o3Extinction = o3Extinction;
+    }
+
+    @NotNull
+    public Pair<String, String> getO2Extinction()
+    {
+        return _o2Extinction;
+    }
+
+    public void setO2Extinction( @NotNull final Pair<String, String> o2Extinction )
+    {
+        _o2Extinction = o2Extinction;
+    }
+
+    @NotNull
+    public Pair<String, String> getCo2Extinction()
+    {
+        return _co2Extinction;
+    }
+
+    public void setCo2Extinction( @NotNull final Pair<String, String> co2Extinction )
+    {
+        _co2Extinction = co2Extinction;
+    }
+
+    @NotNull
+    private Pair<String, String> _format;
+    @NotNull
+    private Pair<String, String> _rayleighExtinction;
+    @NotNull
+    private Pair<String, String> _h2oExtinction;
+    @NotNull
+    private Pair<String, String> _o3Extinction;
+    @NotNull
+    private Pair<String, String> _o2Extinction;
+    @NotNull
+    private Pair<String, String> _co2Extinction;
+}
Index: /tapas/service/interface/com/ether/tapas/Request.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Request.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Request.java	(revision 400)
@@ -0,0 +1,63 @@
+package com.ether.tapas;
+
+import org.jetbrains.annotations.NotNull;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Request
+{
+    @NotNull
+    public String getId()
+    {
+        return _id;
+    }
+
+    public void setId( @NotNull final String id )
+    {
+        _id = id;
+    }
+
+    @NotNull
+    public Preference getPreference()
+    {
+        return _preference;
+    }
+
+    public void setPreference( @NotNull final Preference preference )
+    {
+        _preference = preference;
+    }
+
+    @NotNull
+    public Observation getObservation()
+    {
+        return _observation;
+    }
+
+    public void setObservation( @NotNull final Observation observation )
+    {
+        _observation = observation;
+    }
+
+    @NotNull
+    public Atmosphere getAtmosphere()
+    {
+        return _atmosphere;
+    }
+
+    public void setAtmosphere( @NotNull final Atmosphere atmosphere )
+    {
+        _atmosphere = atmosphere;
+    }
+
+    @NotNull
+    private String _id;
+    @NotNull
+    private Preference _preference;
+    @NotNull
+    private Observation _observation;
+    @NotNull
+    private Atmosphere _atmosphere;
+}
Index: /tapas/service/interface/com/ether/tapas/Tapas.java
===================================================================
--- /tapas/service/interface/com/ether/tapas/Tapas.java	(revision 400)
+++ /tapas/service/interface/com/ether/tapas/Tapas.java	(revision 400)
@@ -0,0 +1,39 @@
+package com.ether.tapas;
+
+import org.jetbrains.annotations.NotNull;
+
+import java.util.List;
+
+/**
+ * @author vmipsl
+ * @date 08 march 2012
+ */
+public class Tapas
+{
+    @NotNull
+    public String getId()
+    {
+        return _id;
+    }
+
+    public void setId( @NotNull final String id )
+    {
+        _id = id;
+    }
+
+    @NotNull
+    public List<Request> getRequests()
+    {
+        return _requests;
+    }
+
+    public void setRequests( @NotNull final List<Request> requests )
+    {
+        _requests = requests;
+    }
+
+    @NotNull
+    private String _id;
+    @NotNull
+    private List<Request> _requests;
+}
Index: /tapas/web/init.jsp
===================================================================
--- /tapas/web/init.jsp	(revision 399)
+++ /tapas/web/init.jsp	(revision 400)
@@ -2,16 +2,11 @@
 <%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
 <%@ taglib prefix="tiles" uri="/WEB-INF/tlds/struts-tiles.tld" %>
-<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>
 
 <tiles:insert page="/resources/templates/templateEther.jsp" flush="true">
 
     <tiles:put name="insertCss" type="string"/>
-    <tiles:put name="insertJsOrJsp" type="string">
-        <ether:htmlJs jsFile="library/jquery.json-2.3"/>
-        <ether:htmlJsp jspFile="init_script"/>
-    </tiles:put>
+    <tiles:put name="insertJsOrJsp" type="string"/>
 
-    <tiles:put name="title" type="string"><spring:message code="app.title"/> - <spring:message
-            code="title.home"/></tiles:put>
+    <tiles:put name="title" type="string"><spring:message code="app.title"/> - <spring:message code="title.home"/></tiles:put>
     <tiles:put name="nav" type="string"><a href=""><spring:message code="label.home"/></a></tiles:put>
 
@@ -21,18 +16,5 @@
 
     <tiles:put name="body" type="string">
-
-        <div id="formulaire">
-
-        </div>
-
-        <script type="text/javascript">
-            var initTexts = $A( "" );
-
-            initTexts["label.submitButton"] = '<spring:message code="label.submitButton"/>';
-
-
-            var interfaceInit = new InterfaceInit();
-        </script>
-
+        PAGE ACCUEIL TAPAS
     </tiles:put>
 
Index: /tapas/web/project/formTapas.jsp
===================================================================
--- /tapas/web/project/formTapas.jsp	(revision 400)
+++ /tapas/web/project/formTapas.jsp	(revision 400)
@@ -0,0 +1,52 @@
+<%@ page import="com.ether.Context" %>
+<%@ page contentType="text/html;charset=UTF-8" language="java" %>
+<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
+<%@ taglib prefix="tiles" uri="/WEB-INF/tlds/struts-tiles.tld" %>
+<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>
+
+<tiles:insert page="/resources/templates/templateEther.jsp" flush="true">
+
+    <tiles:put name="insertCss" type="string"/>
+    <tiles:put name="insertJsOrJsp" type="string">
+        <ether:htmlJs jsFile="library/jquery.json-2.3"/>
+        <ether:htmlJsp jspFile="formTapas_script"/>
+    </tiles:put>
+
+    <tiles:put name="title" type="string"><spring:message code="app.title"/> - <spring:message code="title.home"/></tiles:put>
+    <tiles:put name="nav" type="string"><a href=""><spring:message code="label.home"/></a></tiles:put>
+
+
+    <%-- ****************** CONTENT ****************** --%>
+    <tiles:put name="bodytitle" type="string"><spring:message code="title.home"/></tiles:put>
+
+    <tiles:put name="body" type="string">
+
+        <div id="formulaire">
+
+        </div>
+
+
+        <BR/>
+        <%=Context.getPageURI( request )%><BR/>
+        <%=Context.getRelativePageURI( request )%><BR/>
+        <%=Context.getRelativePath( request )%><BR/>
+        <%=Context.getWebroot( request )%><BR/>
+        <%=request.getQueryString()%><BR/>
+        <%=request.getContextPath()%><BR/>
+        <%=request.getPathInfo()%><BR/>
+        <%=request.getServletPath()%><BR/>
+        <%=request.getRequestURL()%><BR/>
+
+
+        <script type="text/javascript">
+            var initTexts = $A( "" );
+
+            initTexts["label.submitButton"] = '<spring:message code="label.submitButton"/>';
+
+
+            var interfaceTapas = new InterfaceTapas();
+        </script>
+
+    </tiles:put>
+
+</tiles:insert>
Index: /tapas/web/project/formTapas_script.jsp
===================================================================
--- /tapas/web/project/formTapas_script.jsp	(revision 400)
+++ /tapas/web/project/formTapas_script.jsp	(revision 400)
@@ -0,0 +1,165 @@
+<script type="text/javascript">
+    var InterfaceTapas = Class.create( {
+
+        initialize: function()
+        {
+            /** *********** CONTAINERS *********** **/
+            this.containerForm = $( "#formulaire" );
+
+            this.createForm();
+
+        },
+
+        // CREATES ********************************************************
+        createForm: function()
+        {
+            // Create button elements
+            this.input1 = $( document.createElement( "input" ) );
+            var input2 = $( document.createElement( "input" ) );
+
+            this.input1.attr( {id:"1"} );
+            this.containerForm.append( this.input1 );
+
+            input2.attr( {id:"2"} );
+            this.containerForm.append( input2 );
+
+            var submitButton = new Button( {value:initTexts["label.submitButton"], parent:this.containerForm, id:"button_submit", className: "red_button", classNameText:"red_button_text", onClick:jQuery.proxy( this.onClickSubmit, this )} );
+
+        },
+
+        // REQUESTS ********************************************************
+        requestCreateXML: function()
+        {
+            var tapasForm = this.createTapasForm();
+            var jsonTapasForm = $.toJSON( tapasForm );
+
+            if( jsonTapasForm )
+                $.ajax( {
+                    url: "project?methodName=createUserRequest&jsonTapas=" + jsonTapasForm,
+                    success:jQuery.proxy( this.handleCreateXML, this )
+                } );
+        },
+
+        // HANDLES ******************************************************** = retours ajax
+        handleCreateXML: function( result )
+        {
+            var bob = jQuery.parseJSON( result ).result;
+//            alert( bob );
+        },
+
+
+        // EVENTS ********************************************************
+        onClickSubmit: function()
+        {
+            this.requestCreateXML();
+        },
+
+        // OTHERS ********************************************************
+        createTapasForm: function()
+        {
+            // PREFERENCE
+            var preference = new Object();
+
+            preference.format = new Object();
+            preference.format.firstValue = $( "#1" ).val();
+            preference.format.secondValue = $( "#2" ).val();
+
+            var pair = new Object();
+            pair.firstValue = "YES,NO";
+            pair.secondValue = "YES";
+
+            preference.rayleighExtinction = pair;
+            preference.h2oExtinction = pair;
+            preference.o3Extinction = pair;
+            preference.o2Extinction = pair;
+            preference.co2Extinction = pair;
+
+            // OBSERVATION
+            // Observatory
+            var observatory = new Object();
+            observatory.name = "SanFernandoObs.RSanFernando";
+
+            observatory.longitude = new Object();
+            observatory.longitude.min = "-180";
+            observatory.longitude.max = "180";
+            observatory.longitude.value = -118.491666666667;
+
+            observatory.latitude = new Object();
+            observatory.latitude.min = "-90";
+            observatory.latitude.max = "90";
+            observatory.latitude.value = 34.3083333333333;
+
+            observatory.altitude = new Object();
+            observatory.altitude.min = "0";
+            observatory.altitude.max = "10000";
+            observatory.altitude.value = 371;
+
+            // Los
+            var los = new Object();
+            los.raJ2000 = "04:32:43";
+            los.decJ2000 = "-43:12:10.22";
+
+            los.zenithAngle = new Object();
+            los.zenithAngle.min = "0";
+            los.zenithAngle.max = "90";
+            los.zenithAngle.value = 60;
+
+            // Instrument
+            var instrument = new Object();
+
+            instrument.spectralChoice = new Object();
+            instrument.spectralChoice.firstValue = "Vacuum Wavelength (nm),Standard Wavelength (nm),Wavenumber (cm-1)";
+            instrument.spectralChoice.secondValue = "Standard Wavelength (nm)";
+            instrument.spectralRange = "1180 1200";
+            instrument.ilsfChoice = new Object();
+            instrument.ilsfChoice.firstValue = "-1,0,1";
+            instrument.ilsfChoice.secondValue = 0;
+            instrument.ilsfPath = "/home/ferron/tmp/tapas/ilsf.txt";
+            instrument.resolvingPower = new Object();
+            instrument.resolvingPower.firstValue = "0";
+            instrument.resolvingPower.secondValue = 1000000;
+            instrument.samplingRatio = new Object();
+            instrument.samplingRatio.firstValue = "0";
+            instrument.samplingRatio.secondValue = 3;
+
+            var observation = new Object();
+            observation.date = "2012-02-24";
+            observation.observatory = observatory;
+            observation.los = los;
+            observation.instrument = instrument;
+
+            // ATMOSPHERE
+            var atmosphere = new Object();
+            atmosphere.reference = new Object();
+            atmosphere.reference.firstValue = "0,1,2,3,4,5,6";
+            atmosphere.reference.secondValue = 6;
+
+            atmosphere.arlettyFile = new Array();
+            atmosphere.arlettyFile[0] = "/home/ferron/tmp/tapas/Reims_070402.ARL.txt";
+            atmosphere.arlettyFile[1] = "/home/ferron/tmp/tapas/Reims_070402.ARL.txt22";
+
+            atmosphere.ecmwfFile = new Array();
+            atmosphere.ecmwfFile[0] = "/home/ferron/tmp/tapas/ecmwf12.txt";
+
+            // REQUEST
+            var request = new Object();
+            request.id = "1";
+            request.preference = preference;
+            request.observation = observation;
+            request.atmosphere = atmosphere;
+
+            var requests = new Array();
+            requests[0] = request;
+
+            // TAPAS
+            var tapas = new Object();
+            tapas.id = "Ether_TAPAS_0000001";
+            tapas.requests = requests;
+
+            return tapas;
+        }
+
+    } );
+
+
+</script>
Index: /tapas/web/src/com/ether/Controller.java
===================================================================
--- /tapas/web/src/com/ether/Controller.java	(revision 399)
+++ /tapas/web/src/com/ether/Controller.java	(revision 400)
@@ -5,5 +5,5 @@
 import com.ether.annotation.ParamName;
 import com.ether.annotation.UseJSON;
-import com.ether.Tapas;
+import com.ether.tapas.Tapas;
 import net.sf.json.JSONObject;
 import org.apache.commons.logging.Log;
@@ -33,4 +33,10 @@
     }
 
+    @ControllerMethod(view = VIEW_FORM_TAPAS)
+    public Map<String, Object> viewForm()
+            throws WebException
+    {
+        return new HashMap<String, Object>();
+    }
 
     /** *********************************************************** **/
@@ -38,6 +44,5 @@
     /** *********************************************************** **/
     @ControllerMethod(jsonResult = true)
-    public JSONObject createUserRequest( @ParamName("jsonFormXml") @Mandatory @UseJSON final FormXML jsonFormXML,
-                                         @ParamName("jsonTapas") @Mandatory @UseJSON final Tapas jsonTapas )
+    public JSONObject createUserRequest( @ParamName("jsonTapas") @Mandatory @UseJSON final Tapas jsonTapas )
             throws ServiceException
     {
@@ -60,4 +65,5 @@
 
     private static final String VIEW_INIT = "init";
+    private static final String VIEW_FORM_TAPAS = "project/formTapas";
 
     private TapasService _tapasService;
